<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css">
<style>
	.righ{
		float:right;
	}
	
	.lef{
		float:left;
	}

	.vcenter {
		display: inline-block;
		vertical-align: middle;
		float: none;
	}
	
	.vcent{
		margin-top:20%;
		padding:10px;
	}
	
	.vcent2{
		//margin-top:30%;
		padding:20px;
		float:left;
	}
	
	.middle{
		text-align:center;
	}
	
	.vertical-align {
    display: flex;
    align-items: center;
	}

	.bichma{
		margin-left:auto;
		margin-right:auto;
	}
	
	.carshad{
	background-color: #333; transition: box-shadow .25s;border-radius: 2px; border-color: #333;width: 30rem;    box-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);
	}
</style>


<div class="card card-inverse bichma carshad" >
	<div class="card-block">
		<h3 class="card-title">{{title}}title</h3>
		<form name="myForm">
			 <div class="row">
				<div class="col-sm-12">
					<div class="middle row">
					
						<div class="col-sm-8">					
							<div class="righ">
										<span style="color:red" ng-show="myForm.user.$dirty && myForm.user.$invalid">
											<span ng-show="myForm.user.$error.required">Hour is required.</span>
										   <span class="error" ng-show="myForm.user.$error.number">Not valid number!</span>
											<span ng-show="myForm.user.$error.max || myForm.user.$error.min">Hour should be 0 to 23.</span>
										</span>	

									<input type="number" name="user" ng-model="hours" maxlength="2" min="0" max="23"   required/>			
								
									
									:<input type="number" name="mins" ng-model="mins" maxlength="2" min="00" max="60" required/>
										<span style="color:red" ng-show="myForm.mins.$dirty && myForm.mins.$invalid">
											<span ng-show="myForm.mins.$error.required">Minutes is required.</span>
										   <span class="error" ng-show="myForm.mins.$error.number">Not valid number!</span>
											<span ng-show="myForm.mins.$error.max || myForm.mins.$error.min">MIns should be 0 to 60.</span>
										</span>	
							</div>
						</div>
						
						<div class="col-sm-2">
							<div class="lef">
								 <div class="">
									 <button style="font-size:10px" type="button" ng-click="add()"><i class="fa fa-caret-up" aria-hidden="true"></i></button> 
								 </div> 
								 
								 <div class="">
									<button style="font-size:10px" type="button" ng-click="minus()"><i class="fa fa-caret-down" aria-hidden="true"></i></button>
								 </div>			
							 </div>
						</div>
					</div>
						
				</div>
			 </div>
		 </form>
		 
	</div>
</div>

<script src="jquery.min.js"></script>